#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define si short int
#define vi vector<ll>
#define vii vector<vi>
#define vip vector<pair<ll,ll>>

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll n,k,x;
    cin>>n>>k>>x;
    if(k==3)
    {
        if(n>5) return cout<<"-1", 0;
        else if(n==4) return cout<<"8 1 12 10", 0;
        else if(n==3) return cout<<"8 1 13", 0;
        else return cout<<k+x<<' '<<" 1 2 3", 0;
    }
    return 0;
}